## frogatto 1.0+dfsg1

=== Makefile ===
objects = IMG_savepng.o background.o blur.o border_widget.o button.o character_editor_dialog.o current_generator.o editor_dialogs.o editor_formula_functions.o editor_layers_dialog.o editor_stats_dialog.o editor_variable_info.o collision_utils.o color_utils.o controls.o custom_object.o custom_object_callable.o custom_object_functions.o custom_object_type.o debug_console.o dialog.o draw_number.o draw_scene.o draw_tile.o editor.o editor_level_properties_dialog.o entity.o filesystem.o font.o formula.o formula_callable_definition.o formula_constants.o formula_function.o formula_profiler.o formula_tokenizer.o formula_variable_storage.o frame.o framed_gui_element.o geometry.o graphical_font.o graphical_font_label.o grid_widget.o group_property_editor_dialog.o gui_formula_functions.o gui_section.o image_widget.o input.o inventory.o iphone_controls.o joystick.o key.o label.o level.o level_logic.o level_object.o level_runner.o level_solid_map.o load_level_nothread.o main.o message_dialog.o movement_script.o multi_tile_pattern.o multiplayer.o object_events.o options_dialog.o particle_system.o pause_game_dialog.o playable_custom_object.o player_info.o powerup.o preferences.o preprocessor.o preview_tileset_widget.o property_editor_dialog.o random.o raster.o raster_distortion.o rectangle_rotator.o settings_dialog.o solid_map.o sound.o speech_dialog.o stats.o string_utils.o surface_cache.o surface_formula.o surface_palette.o surface_scaling.o surface.o texture.o text_entry_widget.o thread.o tile_map.o tileset_editor_dialog.o tooltip.o translate.o utils.o variant.o water.o water_particle_system.o weather_particle_system.o widget.o wml_formula_adapter.o wml_formula_callable.o wml_modify.o wml_node.o wml_parser.o wml_schema.o wml_utils.o wml_writer.o unit_test.o formula_test.o wml_parser_test.o loading_screen.o utility_object_compiler.o utility_object_editor.o

server_objects = server.o simple_wml.o

formula_test_objects = filesystem.o formula_function.o formula_tokenizer.o string_utils.o variant.o wml_node.o wml_parser.o wml_utils.o wml_writer.o

wml_modify_test_objects = filesystem.o string_utils.o wml_node.o wml_parser.o wml_utils.o
wml_schema_test_objects = filesystem.o string_utils.o wml_node.o wml_parser.o wml_utils.o

OPT=-O2 -fno-inline-functions

%.o : src/%.cpp
	ccache g++ -DIMPLEMENT_SAVE_PNG -fno-inline-functions -g $(OPT) `sdl-config --cflags` -I/usr/X11R6/include -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -fthreadsafe-statics -c $<

game: $(objects)
	g++ -g $(OPT) -L. -L/sw/lib -L/usr/X11R6/lib -L. -lX11 -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -L/usr/lib `sdl-config --libs` -lSDLmain -lSDL -lGL -lGLU -lGLEW -lSDL_image -lSDL_ttf -lSDL_mixer -lpng -lboost_regex-mt -lboost_system-mt -fthreadsafe-statics $(objects) -o game

server: $(server_objects)
	g++ -fno-inline-functions -g $(OPT) -L/sw/lib -L/usr/X11R6/lib -lX11 -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -L/usr/lib `sdl-config --libs` -lSDLmain -lSDL -lGL -lGLU -lSDL_image -lSDL_ttf -lSDL_mixer -lboost_regex-mt -lboost_system-mt -lboost_thread-mt -lboost_iostreams-mt -fthreadsafe-statics $(server_objects) -o server

poolalloc.o: src/poolalloc.c
	gcc -fno-inline-functions -g $(OPT) `sdl-config --cflags` -I/usr/X11R6/include -D_GNU_SOURCE=1 -D_REENTRANT -Wreturn-type -c src/poolalloc.c

malloc.o: src/malloc.c
	gcc -fno-inline-functions -g $(OPT) `sdl-config --cflags` -I/usr/X11R6/include -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_LOCKS=1 -Wreturn-type -c src/malloc.c

formula_test: $(formula_test_objects)
	g++ -O2 -g -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_FORMULA -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lSDL -lGL -lGLU -lSDL_image -lSDL_ttf -lSDL_mixer -lboost_regex src/formula.cpp $(formula_test_objects) -o test

wml_modify_test: $(wml_modify_test_objects)
	g++ -O2 -g -framework Cocoa -I/usr/local/include/boost-1_34 -I/sw/include/SDL -I/usr/X11R6/include -Isrc/ -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_WML_MODIFY -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lboost_regex src/wml_modify.cpp $(wml_modify_test_objects) -o test

wml_schema_test: $(wml_schema_test_objects)
	g++ -O2 -g -framework Cocoa -I/usr/local/include/boost-1_34 -I/sw/include/SDL -I/usr/X11R6/include -Isrc/ -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_WML_SCHEMA -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lboost_regex src/wml_schema.cpp $(wml_schema_test_objects) -o test
	

clean:
	rm -f *.o game

=== debian/changelog ===
frogatto (1.0+dfsg1-6) unstable; urgency=low

  * Rebuilt using pbuilder, closes: #590212.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 26 Jul 2010 09:03:50 +0400

frogatto (1.0+dfsg1-5) unstable; urgency=low

  * Updated manpage.
  * Frogatto understands a few command-line options.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 23 Jul 2010 09:28:52 +0400

frogatto (1.0+dfsg1-4) unstable; urgency=low

  * removed ccache from b-d, closes FTBFS with our buildds.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 21 Jul 2010 16:21:45 +0400

frogatto (1.0+dfsg1-3) unstable; urgency=low

  * Added menuitem and menuicon.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 21 Jul 2010 14:36:23 +0400

frogatto (1.0+dfsg1-2) unstable; urgency=low

  * Added missed copyright,
    thanks for Alexander Reichle-Schmehl <ftpmaster@debian.org>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 16 Jul 2010 17:36:11 +0400

frogatto (1.0+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #589258).

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 16 Jul 2010 12:14:11 +0400

=== debian/control ===
Source: frogatto
Section: contrib/games
Priority: extra
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Standards-Version: 3.9.0
Build-Depends: cdbs, debhelper (>= 7.0),
 libz-dev,
 libsdl1.2-dev (>= 1.2.7),
 libboost-dev (>= 1.35),
 libglew-dev,
 libsdl-ttf2.0-dev (>= 2.0.8),
 libsdl-mixer1.2-dev (>= 1.2.7),
 libsdl-image1.2-dev (>= 1.2.7),
 libboost-regex-dev (>= 1.35),
 libboost-system-dev (>= 1.35)
Homepage: http://www.frogatto.com/
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
VCS-Browser: http://git.debian.org/?p=pkg-games/frogatto.git;a=summary
VCS-Git: git+ssh://git.debian.org/git/pkg-games/frogatto.git

Package: frogatto
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 frogatto-data (>= ${UVersion})
Description:  2D platformer game starring a quixotic frog
 Frogatto is a platformer in the style of old arcade, Sega and
 Nintendo games. The world is viewed as a cross-section seen from the
 side, and your character walks and jumps between solid platforms
 whilst fighting monsters.
 .
 This package contains game engine.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

UPSTREAM_CLEAN_VERSION	= $(shell 	\
		dpkg-parsechangelog 	\
	|	grep ^Version 		\
	|	awk '{print $$2}' 	\
	|	sed 's/[+-].*//' 	\
)

DEB_DH_GENCONTROL_ARGS	= -- -VUVersion=$(UPSTREAM_CLEAN_VERSION)

clean::
	find -name \*.o -delete
	rm -f game frogatto.6

build/frogatto:: frogatto.6
	make

frogatto.6: debian/frogatto.pod
	pod2man --section=6 $< > $@

## frogatto 1.0.1%2bsvn3388-maemo1

=== debian/changelog ===
frogatto (1.0.1+svn3388-maemo1) experimental; urgency=low

  * Initial release.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sun, 29 Aug 2010 13:08:24 +0200

=== debian/control ===
Source: frogatto
Section: user/games
Priority: extra
Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
Build-Depends: libboost-iostreams1.38-dev, libboost-regex1.38-dev, libboost-system1.38-dev, libboost-date-time1.38-dev, libpng12-dev, libsdl1.2-dev (>= 1.2.7), libsdl-image1.2-dev, libsdl-mixeroggwav1.2-dev, libsdl-ttf2.0-dev (>= 2.0.8), libsdl-gles1.2-dev, libgles1-sgx-img-dev, libglib2.0-dev, libosso-dev
Standards-Version: 4
XSBC-Bugtracker: philipp.zabel@gmail.com

Package: frogatto-engine
Section: games
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libvorbisidec1
XB-Description: Game engine for Frogatto & Friends
 This package contains the game engine binary for the Frogatto & Friends
 jump-and-run game, which is GPLv3 licensed.

## frogatto 1.0.1%2bsvn3428-maemo1

=== debian/changelog ===
frogatto (1.0.1+svn3428-maemo1) experimental; urgency=low

  * Update to svn revision 3428.
  * Pause game when out of focus.
  * Enable joystick by default, to support PS3 SIXAXIS on N900.
  * Update libboost dependencies to 1.42, for these are properly optified.
  * Fix bug tracker entry.
  * Split frogatto-music and frogatto-sounds packages from frogatto-data.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 03 Sep 2010 00:41:24 +0200

## frogatto 1.0.2-maemo1

=== Makefile ===
objects = IMG_savepng.o background.o blur.o border_widget.o button.o character_editor_dialog.o checkbox.o current_generator.o editor_dialogs.o editor_formula_functions.o editor_layers_dialog.o editor_stats_dialog.o editor_variable_info.o collision_utils.o color_utils.o controls.o controls_dialog.o custom_object.o custom_object_callable.o custom_object_functions.o custom_object_type.o debug_console.o dialog.o draw_number.o draw_scene.o draw_tile.o editor.o editor_level_properties_dialog.o entity.o filesystem.o font.o formula.o formula_callable_definition.o formula_constants.o formula_function.o formula_profiler.o formula_tokenizer.o formula_variable_storage.o frame.o framed_gui_element.o geometry.o graphical_font.o graphical_font_label.o grid_widget.o group_property_editor_dialog.o gui_formula_functions.o gui_section.o image_widget.o input.o inventory.o iphone_controls.o joystick.o key.o key_button.o label.o level.o level_logic.o level_object.o level_runner.o level_solid_map.o light.o load_level.o main.o message_dialog.o movement_script.o multi_tile_pattern.o multiplayer.o object_events.o options_dialog.o osso.o package.o particle_system.o pause_game_dialog.o playable_custom_object.o player_info.o powerup.o preferences.o preprocessor.o preview_tileset_widget.o property_editor_dialog.o random.o raster.o raster_distortion.o rectangle_rotator.o settings_dialog.o slider.o solid_map.o sound.o speech_dialog.o stats.o string_utils.o surface_cache.o surface_formula.o surface_palette.o surface_scaling.o surface.o texture.o text_entry_widget.o thread.o tile_map.o tileset_editor_dialog.o tooltip.o translate.o utils.o variant.o water.o water_particle_system.o weather_particle_system.o widget.o wml_formula_adapter.o wml_formula_callable.o wml_modify.o wml_node.o wml_parser.o wml_schema.o wml_utils.o wml_writer.o unit_test.o formula_test.o wml_parser_test.o loading_screen.o utility_object_compiler.o utility_object_editor.o

server_objects = server.o simple_wml.o

formula_test_objects = filesystem.o formula_function.o formula_tokenizer.o string_utils.o variant.o wml_node.o wml_parser.o wml_utils.o wml_writer.o

wml_modify_test_objects = filesystem.o string_utils.o wml_node.o wml_parser.o wml_utils.o
wml_schema_test_objects = filesystem.o string_utils.o wml_node.o wml_parser.o wml_utils.o

OPT=-O2 -fno-inline-functions

DEFINES=-DNO_EDITOR=1 -DSDL_VIDEO_OPENGL_ES=1 -DTARGET_OS_MAEMO=1
LDADD=-lGLES_CM -lSDLmain -lSDL -lSDL_gles `pkg-config --libs gobject-2.0 libosso`

%.o : src/%.cpp
	g++ -DIMPLEMENT_SAVE_PNG -fno-inline-functions -g $(OPT) `sdl-config --cflags` -I/usr/X11R6/include -D_GNU_SOURCE=1 -D_REENTRANT $(DEFINES) -Wnon-virtual-dtor -Wreturn-type -fthreadsafe-statics -c $<

game: $(objects)
	g++ -g $(OPT) -L. -L/sw/lib -L. -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -L/usr/lib `sdl-config --libs` ${LDADD} -lSDL_image -lSDL_ttf -lpng -lboost_regex-mt -lboost_system-mt -fthreadsafe-statics $(objects) /usr/lib/libSDL_mixer.a -o game

osso.o : src/osso.cpp
	g++ -fno-inline-functions -g $(OPT) `pkg-config --cflags gobject-2.0 libosso` -o $@ -c $<

server: $(server_objects)
	g++ -fno-inline-functions -g $(OPT) -L/sw/lib -L/usr/X11R6/lib -lX11 -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -L/usr/lib `sdl-config --libs` $(SDL_LIBS) -lGL -lGLU -lSDL_image -lSDL_ttf -lSDL_mixer -lboost_regex-mt -lboost_system-mt -lboost_thread-mt -lboost_iostreams-mt -fthreadsafe-statics $(server_objects) -o server

poolalloc.o: src/poolalloc.c
	gcc -fno-inline-functions -g $(OPT) `sdl-config --cflags` -I/usr/X11R6/include -D_GNU_SOURCE=1 -D_REENTRANT -Wreturn-type -c src/poolalloc.c

malloc.o: src/malloc.c
	gcc -fno-inline-functions -g $(OPT) `sdl-config --cflags` -I/usr/X11R6/include -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_LOCKS=1 -Wreturn-type -c src/malloc.c

formula_test: $(formula_test_objects)
	g++ -O2 -g -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_FORMULA -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lSDL -lGL -lGLU -lSDL_image -lSDL_ttf -lSDL_mixer -lboost_regex src/formula.cpp $(formula_test_objects) -o test

wml_modify_test: $(wml_modify_test_objects)
	g++ -O2 -g -framework Cocoa -I/usr/local/include/boost-1_34 -I/sw/include/SDL -I/usr/X11R6/include -Isrc/ -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_WML_MODIFY -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lboost_regex src/wml_modify.cpp $(wml_modify_test_objects) -o test

wml_schema_test: $(wml_schema_test_objects)
	g++ -O2 -g -framework Cocoa -I/usr/local/include/boost-1_34 -I/sw/include/SDL -I/usr/X11R6/include -Isrc/ -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_WML_SCHEMA -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lboost_regex src/wml_schema.cpp $(wml_schema_test_objects) -o test
	

clean:
	rm -f *.o game

=== debian/changelog ===
frogatto (1.0.2-maemo1) experimental; urgency=low

  * Upstream release: version 1.0.2

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sat, 04 Sep 2010 12:18:43 +0200

=== debian/control ===
Source: frogatto
Section: user/games
Priority: extra
Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
Build-Depends: libboost-iostreams1.42-dev, libboost-regex1.42-dev, libboost-system1.42-dev, libboost-date-time1.42-dev, libpng12-dev, libsdl1.2-dev (>= 1.2.7), libsdl-image1.2-dev, libsdl-mixeroggwav1.2-dev, libsdl-ttf2.0-dev (>= 2.0.8), libsdl-gles1.2-dev, libgles1-sgx-img-dev, libglib2.0-dev, libosso-dev
Standards-Version: 5
XSBC-Bugtracker: mailto:philipp.zabel@gmail.com

Package: frogatto-engine
Section: games
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libvorbisidec1
XB-Description: Game engine for Frogatto & Friends
 This package contains the game engine binary for the Frogatto & Friends
 jump-and-run game, which is GPLv3 licensed.

## frogatto 1.0.2-maemo2

=== debian/changelog ===
frogatto (1.0.2-maemo2) experimental; urgency=low

  * Close audio devices and stop drawing while display off or minimized.
  * Remove dependency on libsdl-ttf2.0.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Tue, 07 Sep 2010 11:15:38 +0200

## frogatto 1.0.3%2bsvn3926-maemo1

=== Makefile ===
CC  = gcc
CXX = g++

OPT = -O2 -fno-inline-functions

objects = IMG_savepng.o achievements.o background.o blur.o border_widget.o button.o character_editor_dialog.o checkbox.o current_generator.o editor_dialogs.o editor_formula_functions.o editor_layers_dialog.o editor_stats_dialog.o editor_variable_info.o collision_utils.o color_utils.o controls.o controls_dialog.o custom_object.o custom_object_callable.o custom_object_functions.o custom_object_type.o debug_console.o dialog.o draw_number.o draw_scene.o draw_tile.o editor.o editor_level_properties_dialog.o entity.o filesystem.o font.o formula.o formula_callable_definition.o formula_constants.o formula_function.o formula_profiler.o formula_tokenizer.o formula_variable_storage.o frame.o framed_gui_element.o geometry.o globals.o graphical_font.o graphical_font_label.o grid_widget.o group_property_editor_dialog.o gui_formula_functions.o gui_section.o i18n.o image_widget.o input.o inventory.o iphone_controls.o joystick.o key.o key_button.o label.o level.o level_logic.o level_object.o level_runner.o level_solid_map.o light.o load_level.o main.o message_dialog.o movement_script.o multi_tile_pattern.o multiplayer.o object_events.o options_dialog.o osso.o package.o particle_system.o pause_game_dialog.o playable_custom_object.o player_info.o powerup.o preferences.o preprocessor.o preview_tileset_widget.o property_editor_dialog.o random.o raster.o raster_distortion.o rectangle_rotator.o scrollbar_widget.o scrollable_widget.o segment_editor_dialog.o settings_dialog.o slider.o solid_map.o sound.o speech_dialog.o stats.o string_utils.o surface_cache.o surface_formula.o surface_palette.o surface_scaling.o surface.o texture.o text_entry_widget.o thread.o tile_map.o tileset_editor_dialog.o tooltip.o translate.o utils.o variant.o water.o water_particle_system.o weather_particle_system.o widget.o wml_formula_adapter.o wml_formula_callable.o wml_modify.o wml_node.o wml_parser.o wml_schema.o wml_utils.o wml_writer.o unit_test.o formula_test.o wml_parser_test.o loading_screen.o utility_object_compiler.o utility_object_editor.o

server_objects = server.o simple_wml.o

formula_test_objects = filesystem.o formula_function.o formula_tokenizer.o string_utils.o variant.o wml_node.o wml_parser.o wml_utils.o wml_writer.o

wml_modify_test_objects = filesystem.o string_utils.o wml_node.o wml_parser.o wml_utils.o
wml_schema_test_objects = filesystem.o string_utils.o wml_node.o wml_parser.o wml_utils.o

DEFINES=-DNO_EDITOR=1 -DSDL_VIDEO_OPENGL_ES=1 -DTARGET_OS_MAEMO=1
LDADD=-lGLES_CM -lSDLmain -lSDL -lSDL_gles `pkg-config --libs gobject-2.0 libosso`

%.o : src/%.cpp
	$(CXX) -DIMPLEMENT_SAVE_PNG -fno-inline-functions -g $(OPT) `sdl-config --cflags` -D_GNU_SOURCE=1 -D_REENTRANT $(DEFINES) -Wnon-virtual-dtor -Wreturn-type -fthreadsafe-statics -c $<

game: $(objects)
	$(CXX) -g $(OPT) -L. -L/sw/lib -L. -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -L/usr/lib `sdl-config --libs` ${LDADD} -lSDL_image -lpng -lboost_regex-mt -lboost_system-mt -fthreadsafe-statics $(objects) /usr/lib/libSDL_mixer.a -o game

osso.o : src/osso.cpp
	g++ -fno-inline-functions -g $(OPT) `pkg-config --cflags gobject-2.0 libosso` -o $@ -c $<

server: $(server_objects)
	$(CXX) -fno-inline-functions -g $(OPT) -L/sw/lib -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -L/usr/lib `sdl-config --libs` ${SDL_LIBS} -lGL -lGLU -lSDL_image -lSDL_mixer -lboost_regex-mt -lboost_system-mt -lboost_thread-mt -lboost_iostreams-mt -fthreadsafe-statics $(server_objects) -o server

poolalloc.o: src/poolalloc.c
	$(CC) -fno-inline-functions -g $(OPT) `sdl-config --cflags` -D_GNU_SOURCE=1 -D_REENTRANT -Wreturn-type -c src/poolalloc.c

malloc.o: src/malloc.c
	$(CC) -fno-inline-functions -g $(OPT) `sdl-config --cflags` -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_LOCKS=1 -Wreturn-type -c src/malloc.c

formula_test: $(formula_test_objects)
	$(CXX) -O2 -g -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_FORMULA -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lSDL -lGL -lGLU -lSDL_image -lSDL_mixer -lboost_regex src/formula.cpp $(formula_test_objects) -o test

wml_modify_test: $(wml_modify_test_objects)
	$(CXX) -O2 -g -framework Cocoa -I/usr/local/include/boost-1_34 -I/sw/include/SDL -Isrc/ -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_WML_MODIFY -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lboost_regex src/wml_modify.cpp $(wml_modify_test_objects) -o test

wml_schema_test: $(wml_schema_test_objects)
	$(CXX) -O2 -g -framework Cocoa -I/usr/local/include/boost-1_34 -I/sw/include/SDL -Isrc/ -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_WML_SCHEMA -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lboost_regex src/wml_schema.cpp $(wml_schema_test_objects) -o test

update-pot:
	utils/make-pot.sh > po/frogatto.pot

%.po: po/frogatto.pot
	msgmerge $@ po/frogatto.pot -o $@.part
	mv $@.part $@

LINGUAS=de es fr it pt_BR ru

update-po:
	(for lang in ${LINGUAS}; do \
		${MAKE} po/$$lang.po ; \
	done)

update-mo:
	(for lang in ${LINGUAS}; do \
		mkdir -p locale/$$lang/LC_MESSAGES ; \
		msgfmt po/$$lang.po -o locale/$$lang/LC_MESSAGES/frogatto.mo ; \
	done)

clean:
	rm -f *.o game

=== debian/changelog ===
frogatto (1.0.3+svn3926-maemo1) experimental; urgency=low

  * Update to svn revsion 3926.
  * Packaged translations.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 18 Nov 2010 21:38:39 +0100

frogatto (1.0.3-maemo2) experimental; urgency=low

  * Fix closing from task switcher.
  * Fix loading of older savegames.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Tue, 16 Nov 2010 21:06:55 +0100

frogatto (1.0.3-maemo1) experimental; urgency=low

  * Upstream release: version 1.0.3

 -- Philipp Zabel <philipp.zabel@gmail.com>  Wed, 08 Sep 2010 20:12:21 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=4
export DH_OPTIONS

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH   ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
ifeq (,$(findstring nonfree,$(DEB_BUILD_OPTIONS)))
else
	MAKE += update-mo
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	#	 --prefix=/usr


build: build-stamp

build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	#$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

	install -d -m 0755 $(CURDIR)/debian/tmp/opt/frogatto/
	(if [ -e game ]; then \
	 install -m 0755 game $(CURDIR)/debian/tmp/opt/frogatto/ ; \
	 install -m 0644 FreeMono.ttf $(CURDIR)/debian/tmp/opt/frogatto/ ; \
	 fi)
	(if [ -e data ]; then \
	 cp -r data images locale music sounds $(CURDIR)/debian/tmp/opt/frogatto/ ; \
	 install -d -m 0755 $(CURDIR)/debian/tmp/usr/games/ ; \
	 install -m 0755 debian/frogatto.sh $(CURDIR)/debian/tmp/usr/games/frogatto ; \
	 install -d -m 0755 $(CURDIR)/debian/tmp/usr/share/applications/hildon/ ; \
	 install -m 0644 debian/frogatto.desktop $(CURDIR)/debian/tmp/usr/share/applications/hildon/ ; \
	 install -d -m 0755 $(CURDIR)/debian/tmp/usr/share/dbus-1/services/ ; \
	 install -m 0644 debian/com.frogatto.game.service $(CURDIR)/debian/tmp/usr/share/dbus-1/services/ ; \
	 install -d -m 0755 $(CURDIR)/debian/tmp/usr/share/icons/hicolor/64x64/hildon/ ; \
	 install -m 0644 debian/frogatto-64.png $(CURDIR)/debian/tmp/usr/share/icons/hicolor/64x64/hildon/frogatto.png ; \
	 fi)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-arch binary-indep binary install configure

## frogatto 1.0.3%2bsvn4222-maemo1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 OPT = -O2 -fno-inline-functions
 
-objects = IMG_savepng.o achievements.o background.o blur.o border_widget.o button.o character_editor_dialog.o checkbox.o current_generator.o editor_dialogs.o editor_formula_functions.o editor_layers_dialog.o editor_stats_dialog.o editor_variable_info.o collision_utils.o color_utils.o controls.o controls_dialog.o custom_object.o custom_object_callable.o custom_object_functions.o custom_object_type.o debug_console.o dialog.o draw_number.o draw_scene.o draw_tile.o editor.o editor_level_properties_dialog.o entity.o filesystem.o font.o formula.o formula_callable_definition.o formula_constants.o formula_function.o formula_profiler.o formula_tokenizer.o formula_variable_storage.o frame.o framed_gui_element.o geometry.o globals.o graphical_font.o graphical_font_label.o grid_widget.o group_property_editor_dialog.o gui_formula_functions.o gui_section.o i18n.o image_widget.o input.o inventory.o iphone_controls.o joystick.o key.o key_button.o label.o level.o level_logic.o level_object.o level_runner.o level_solid_map.o light.o load_level.o main.o message_dialog.o movement_script.o multi_tile_pattern.o multiplayer.o object_events.o options_dialog.o osso.o package.o particle_system.o pause_game_dialog.o playable_custom_object.o player_info.o powerup.o preferences.o preprocessor.o preview_tileset_widget.o property_editor_dialog.o random.o raster.o raster_distortion.o rectangle_rotator.o scrollbar_widget.o scrollable_widget.o segment_editor_dialog.o settings_dialog.o slider.o solid_map.o sound.o speech_dialog.o stats.o string_utils.o surface_cache.o surface_formula.o surface_palette.o surface_scaling.o surface.o texture.o text_entry_widget.o thread.o tile_map.o tileset_editor_dialog.o tooltip.o translate.o utils.o variant.o water.o water_particle_system.o weather_particle_system.o widget.o wml_formula_adapter.o wml_formula_callable.o wml_modify.o wml_node.o wml_parser.o wml_schema.o wml_utils.o wml_writer.o unit_test.o formula_test.o wml_parser_test.o loading_screen.o utility_object_compiler.o utility_object_editor.o
+objects = IMG_savepng.o achievements.o background.o blur.o border_widget.o button.o character_editor_dialog.o checkbox.o current_generator.o decimal.o editor_dialogs.o editor_formula_functions.o editor_layers_dialog.o editor_stats_dialog.o editor_variable_info.o collision_utils.o color_utils.o controls.o controls_dialog.o custom_object.o custom_object_callable.o custom_object_functions.o custom_object_type.o debug_console.o dialog.o draw_number.o draw_scene.o draw_tile.o editor.o editor_level_properties_dialog.o entity.o filesystem.o font.o formula.o formula_callable_definition.o formula_constants.o formula_function.o formula_profiler.o formula_tokenizer.o formula_variable_storage.o frame.o framed_gui_element.o geometry.o globals.o graphical_font.o graphical_font_label.o grid_widget.o group_property_editor_dialog.o gui_formula_functions.o gui_section.o i18n.o image_widget.o input.o inventory.o iphone_controls.o joystick.o key.o key_button.o label.o level.o level_logic.o level_object.o level_runner.o level_solid_map.o light.o load_level.o main.o message_dialog.o movement_script.o multi_tile_pattern.o multiplayer.o object_events.o options_dialog.o osso.o package.o particle_system.o pause_game_dialog.o playable_custom_object.o player_info.o powerup.o preferences.o preprocessor.o preview_tileset_widget.o property_editor_dialog.o random.o raster.o raster_distortion.o rectangle_rotator.o scrollbar_widget.o scrollable_widget.o segment_editor_dialog.o settings_dialog.o slider.o solid_map.o sound.o speech_dialog.o stats.o string_utils.o surface_cache.o surface_formula.o surface_palette.o surface_scaling.o surface.o texture.o texture_frame_buffer.o text_entry_widget.o thread.o tile_map.o tileset_editor_dialog.o tooltip.o translate.o utils.o variant.o water.o water_particle_system.o weather_particle_system.o widget.o wml_formula_adapter.o wml_formula_callable.o wml_modify.o wml_node.o wml_parser.o wml_schema.o wml_utils.o wml_writer.o unit_test.o formula_test.o wml_parser_test.o loading_screen.o utility_object_compiler.o utility_object_editor.o
 
 server_objects = server.o simple_wml.o
 
@@ -12,7 +12,7 @@
 wml_modify_test_objects = filesystem.o string_utils.o wml_node.o wml_parser.o wml_utils.o
 wml_schema_test_objects = filesystem.o string_utils.o wml_node.o wml_parser.o wml_utils.o
 
-DEFINES=-DNO_EDITOR=1 -DSDL_VIDEO_OPENGL_ES=1 -DTARGET_OS_MAEMO=1
+DEFINES=-DNO_EDITOR=1 -DSDL_VIDEO_OPENGL_ES=1 -DTARGET_OS_MAEMO=1 -DVERSION='"1.0.3+svn4222"'
 LDADD=-lGLES_CM -lSDLmain -lSDL -lSDL_gles `pkg-config --libs gobject-2.0 libosso`
 
 %.o : src/%.cpp
@@ -49,7 +49,7 @@
 	msgmerge $@ po/frogatto.pot -o $@.part
 	mv $@.part $@
 
-LINGUAS=de es fr it pt_BR ru
+LINGUAS=de es fr it pt_BR ru zh_CN
 
 update-po:
 	(for lang in ${LINGUAS}; do \

=== debian/changelog ===
frogatto (1.0.3+svn4222-maemo1) experimental; urgency=low

  * Update to svn revision 4222.
  * Recompiled level and object data files.
  * Added SVN revision to savegame version string for development builds.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Mon, 24 Jan 2011 21:54:40 +0100

frogatto (1.0.3+svn4066-maemo1) experimental; urgency=low

  * Update to svn revsion 4066.
  * Recompiled level and object data files.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 31 Dec 2010 20:31:19 +0100

=== debian/control ===
Source: frogatto
Section: user/games
Priority: extra
Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
Build-Depends: libboost-iostreams1.42-dev, libboost-regex1.42-dev, libboost-system1.42-dev, libboost-date-time1.42-dev, libpng12-dev, libsdl1.2-dev (>= 1.2.7), libsdl-image1.2-dev, libsdl-mixeroggwav1.2-dev, libsdl-gles1.2-dev, libgles1-sgx-img-dev, libglib2.0-dev, libosso-dev, opengles-sgx-img-common-dev
Standards-Version: 5
XSBC-Bugtracker: mailto:philipp.zabel@gmail.com

Package: frogatto-engine
Section: games
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libvorbisidec1
XB-Description: Game engine for Frogatto & Friends
 This package contains the game engine binary for the Frogatto & Friends
 jump-and-run game, which is GPLv3 licensed.

## frogatto 1.0.3+dfsg1

=== Makefile ===
objects = IMG_savepng.o background.o blur.o border_widget.o button.o character_editor_dialog.o checkbox.o current_generator.o editor_dialogs.o editor_formula_functions.o editor_layers_dialog.o editor_stats_dialog.o editor_variable_info.o collision_utils.o color_utils.o controls.o controls_dialog.o custom_object.o custom_object_callable.o custom_object_functions.o custom_object_type.o debug_console.o dialog.o draw_number.o draw_scene.o draw_tile.o editor.o editor_level_properties_dialog.o entity.o filesystem.o font.o formula.o formula_callable_definition.o formula_constants.o formula_function.o formula_profiler.o formula_tokenizer.o formula_variable_storage.o frame.o framed_gui_element.o geometry.o graphical_font.o graphical_font_label.o grid_widget.o group_property_editor_dialog.o gui_formula_functions.o gui_section.o image_widget.o input.o inventory.o iphone_controls.o joystick.o key.o key_button.o label.o level.o level_logic.o level_object.o level_runner.o level_solid_map.o light.o load_level.o main.o message_dialog.o movement_script.o multi_tile_pattern.o multiplayer.o object_events.o options_dialog.o package.o particle_system.o pause_game_dialog.o playable_custom_object.o player_info.o powerup.o preferences.o preprocessor.o preview_tileset_widget.o property_editor_dialog.o random.o raster.o raster_distortion.o rectangle_rotator.o settings_dialog.o slider.o solid_map.o sound.o speech_dialog.o stats.o string_utils.o surface_cache.o surface_formula.o surface_palette.o surface_scaling.o surface.o texture.o text_entry_widget.o thread.o tile_map.o tileset_editor_dialog.o tooltip.o translate.o utils.o variant.o water.o water_particle_system.o weather_particle_system.o widget.o wml_formula_adapter.o wml_formula_callable.o wml_modify.o wml_node.o wml_parser.o wml_schema.o wml_utils.o wml_writer.o unit_test.o formula_test.o wml_parser_test.o loading_screen.o utility_object_compiler.o utility_object_editor.o

server_objects = server.o simple_wml.o

formula_test_objects = filesystem.o formula_function.o formula_tokenizer.o string_utils.o variant.o wml_node.o wml_parser.o wml_utils.o wml_writer.o

wml_modify_test_objects = filesystem.o string_utils.o wml_node.o wml_parser.o wml_utils.o
wml_schema_test_objects = filesystem.o string_utils.o wml_node.o wml_parser.o wml_utils.o

OPT=-O2 -fno-inline-functions

%.o : src/%.cpp
	g++ -DIMPLEMENT_SAVE_PNG -fno-inline-functions -g $(OPT) `sdl-config --cflags` -I/usr/X11R6/include -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -fthreadsafe-statics -c $<

game: $(objects)
	g++ -g $(OPT) -L. -L/sw/lib -L/usr/X11R6/lib -L. -lX11 -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -L/usr/lib `sdl-config --libs` -lSDLmain -lSDL -lGL -lGLU -lGLEW -lSDL_image -lSDL_ttf -lSDL_mixer -lpng -lboost_regex-mt -lboost_system-mt -fthreadsafe-statics $(objects) -o game

server: $(server_objects)
	g++ -fno-inline-functions -g $(OPT) -L/sw/lib -L/usr/X11R6/lib -lX11 -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -L/usr/lib `sdl-config --libs` -lSDLmain -lSDL -lGL -lGLU -lSDL_image -lSDL_ttf -lSDL_mixer -lboost_regex-mt -lboost_system-mt -lboost_thread-mt -lboost_iostreams-mt -fthreadsafe-statics $(server_objects) -o server

poolalloc.o: src/poolalloc.c
	gcc -fno-inline-functions -g $(OPT) `sdl-config --cflags` -I/usr/X11R6/include -D_GNU_SOURCE=1 -D_REENTRANT -Wreturn-type -c src/poolalloc.c

malloc.o: src/malloc.c
	gcc -fno-inline-functions -g $(OPT) `sdl-config --cflags` -I/usr/X11R6/include -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_LOCKS=1 -Wreturn-type -c src/malloc.c

formula_test: $(formula_test_objects)
	g++ -O2 -g -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_FORMULA -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lSDL -lGL -lGLU -lSDL_image -lSDL_ttf -lSDL_mixer -lboost_regex src/formula.cpp $(formula_test_objects) -o test

wml_modify_test: $(wml_modify_test_objects)
	g++ -O2 -g -framework Cocoa -I/usr/local/include/boost-1_34 -I/sw/include/SDL -I/usr/X11R6/include -Isrc/ -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_WML_MODIFY -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lboost_regex src/wml_modify.cpp $(wml_modify_test_objects) -o test

wml_schema_test: $(wml_schema_test_objects)
	g++ -O2 -g -framework Cocoa -I/usr/local/include/boost-1_34 -I/sw/include/SDL -I/usr/X11R6/include -Isrc/ -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_WML_SCHEMA -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lboost_regex src/wml_schema.cpp $(wml_schema_test_objects) -o test
	

clean:
	rm -f *.o game

=== debian/changelog ===
frogatto (1.0.3+dfsg1-1) unstable; urgency=low

  * New upstream version.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 22 Sep 2010 15:15:26 +0400

frogatto (1.0+dfsg1-8) unstable; urgency=low

  * Fixed russian comment in frogatto.desktop.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 13 Aug 2010 11:25:20 +0400

frogatto (1.0+dfsg1-7) unstable; urgency=low

  * Added frogatto.desktop file for Gnome/KDE.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 13 Aug 2010 10:45:38 +0400

=== debian/control ===
Source: frogatto
Section: contrib/games
Priority: extra
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Standards-Version: 3.9.1
Build-Depends: cdbs, debhelper (>= 7.0),
 libz-dev,
 libsdl1.2-dev (>= 1.2.7),
 libboost-dev (>= 1.35),
 libglew-dev,
 libsdl-ttf2.0-dev (>= 2.0.8),
 libsdl-mixer1.2-dev (>= 1.2.7),
 libsdl-image1.2-dev (>= 1.2.7),
 libboost-regex-dev (>= 1.35),
 libboost-system-dev (>= 1.35)
Homepage: http://www.frogatto.com/
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
VCS-Browser: http://git.debian.org/?p=pkg-games/frogatto.git;a=summary
VCS-Git: git+ssh://git.debian.org/git/pkg-games/frogatto.git

Package: frogatto
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 frogatto-data (>= ${UVersion})
Description:  2D platformer game starring a quixotic frog
 Frogatto is a platformer in the style of old arcade, Sega and
 Nintendo games. The world is viewed as a cross-section seen from the
 side, and your character walks and jumps between solid platforms
 whilst fighting monsters.
 .
 This package contains game engine.

## frogatto 1.0.3-maemo1

=== debian/control ===
Source: frogatto
Section: user/games
Priority: extra
Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
Build-Depends: libboost-iostreams1.42-dev, libboost-regex1.42-dev, libboost-system1.42-dev, libboost-date-time1.42-dev, libpng12-dev, libsdl1.2-dev (>= 1.2.7), libsdl-image1.2-dev, libsdl-mixeroggwav1.2-dev, libsdl-gles1.2-dev, libgles1-sgx-img-dev, libglib2.0-dev, libosso-dev
Standards-Version: 5
XSBC-Bugtracker: mailto:philipp.zabel@gmail.com

Package: frogatto-engine
Section: games
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libvorbisidec1
XB-Description: Game engine for Frogatto & Friends
 This package contains the game engine binary for the Frogatto & Friends
 jump-and-run game, which is GPLv3 licensed.

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 endif
 ifeq (,$(findstring nonfree,$(DEB_BUILD_OPTIONS)))
 else
-	MAKE += update-mo
+	MAKE =
 endif
 
 config.status: configure
@@ -68,7 +68,7 @@
 	 install -m 0644 FreeMono.ttf $(CURDIR)/debian/tmp/opt/frogatto/ ; \
 	 fi)
 	(if [ -e data ]; then \
-	 cp -r data images locale music sounds $(CURDIR)/debian/tmp/opt/frogatto/ ; \
+	 cp -r data images music sounds $(CURDIR)/debian/tmp/opt/frogatto/ ; \
 	 install -d -m 0755 $(CURDIR)/debian/tmp/usr/games/ ; \
 	 install -m 0755 debian/frogatto.sh $(CURDIR)/debian/tmp/usr/games/frogatto ; \
 	 install -d -m 0755 $(CURDIR)/debian/tmp/usr/share/applications/hildon/ ; \

## frogatto 1.0.3-maemo2

=== Makefile ===
objects = IMG_savepng.o background.o blur.o border_widget.o button.o character_editor_dialog.o checkbox.o current_generator.o editor_dialogs.o editor_formula_functions.o editor_layers_dialog.o editor_stats_dialog.o editor_variable_info.o collision_utils.o color_utils.o controls.o controls_dialog.o custom_object.o custom_object_callable.o custom_object_functions.o custom_object_type.o debug_console.o dialog.o draw_number.o draw_scene.o draw_tile.o editor.o editor_level_properties_dialog.o entity.o filesystem.o font.o formula.o formula_callable_definition.o formula_constants.o formula_function.o formula_profiler.o formula_tokenizer.o formula_variable_storage.o frame.o framed_gui_element.o geometry.o graphical_font.o graphical_font_label.o grid_widget.o group_property_editor_dialog.o gui_formula_functions.o gui_section.o image_widget.o input.o inventory.o iphone_controls.o joystick.o key.o key_button.o label.o level.o level_logic.o level_object.o level_runner.o level_solid_map.o light.o load_level.o main.o message_dialog.o movement_script.o multi_tile_pattern.o multiplayer.o object_events.o options_dialog.o osso.o package.o particle_system.o pause_game_dialog.o playable_custom_object.o player_info.o powerup.o preferences.o preprocessor.o preview_tileset_widget.o property_editor_dialog.o random.o raster.o raster_distortion.o rectangle_rotator.o settings_dialog.o slider.o solid_map.o sound.o speech_dialog.o stats.o string_utils.o surface_cache.o surface_formula.o surface_palette.o surface_scaling.o surface.o texture.o text_entry_widget.o thread.o tile_map.o tileset_editor_dialog.o tooltip.o translate.o utils.o variant.o water.o water_particle_system.o weather_particle_system.o widget.o wml_formula_adapter.o wml_formula_callable.o wml_modify.o wml_node.o wml_parser.o wml_schema.o wml_utils.o wml_writer.o unit_test.o formula_test.o wml_parser_test.o loading_screen.o utility_object_compiler.o utility_object_editor.o

server_objects = server.o simple_wml.o

formula_test_objects = filesystem.o formula_function.o formula_tokenizer.o string_utils.o variant.o wml_node.o wml_parser.o wml_utils.o wml_writer.o

wml_modify_test_objects = filesystem.o string_utils.o wml_node.o wml_parser.o wml_utils.o
wml_schema_test_objects = filesystem.o string_utils.o wml_node.o wml_parser.o wml_utils.o

OPT=-O2 -fno-inline-functions

DEFINES=-DNO_EDITOR=1 -DSDL_VIDEO_OPENGL_ES=1 -DTARGET_OS_MAEMO=1
LDADD=-lGLES_CM -lSDLmain -lSDL -lSDL_gles `pkg-config --libs gobject-2.0 libosso`

%.o : src/%.cpp
	g++ -DIMPLEMENT_SAVE_PNG -fno-inline-functions -g $(OPT) `sdl-config --cflags` -I/usr/X11R6/include -D_GNU_SOURCE=1 -D_REENTRANT $(DEFINES) -Wnon-virtual-dtor -Wreturn-type -fthreadsafe-statics -c $<

game: $(objects)
	g++ -g $(OPT) -L. -L/sw/lib -L. -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -L/usr/lib `sdl-config --libs` ${LDADD} -lSDL_image -lpng -lboost_regex-mt -lboost_system-mt -fthreadsafe-statics $(objects) /usr/lib/libSDL_mixer.a -o game

osso.o : src/osso.cpp
	g++ -fno-inline-functions -g $(OPT) `pkg-config --cflags gobject-2.0 libosso` -o $@ -c $<

server: $(server_objects)
	g++ -fno-inline-functions -g $(OPT) -L/sw/lib -L/usr/X11R6/lib -lX11 -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -L/usr/lib `sdl-config --libs` $(SDL_LIBS) -lGL -lGLU -lSDL_image -lSDL_mixer -lboost_regex-mt -lboost_system-mt -lboost_thread-mt -lboost_iostreams-mt -fthreadsafe-statics $(server_objects) -o server

poolalloc.o: src/poolalloc.c
	gcc -fno-inline-functions -g $(OPT) `sdl-config --cflags` -I/usr/X11R6/include -D_GNU_SOURCE=1 -D_REENTRANT -Wreturn-type -c src/poolalloc.c

malloc.o: src/malloc.c
	gcc -fno-inline-functions -g $(OPT) `sdl-config --cflags` -I/usr/X11R6/include -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_LOCKS=1 -Wreturn-type -c src/malloc.c

formula_test: $(formula_test_objects)
	g++ -O2 -g -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_FORMULA -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lSDL -lGL -lGLU -lSDL_image -lSDL_mixer -lboost_regex src/formula.cpp $(formula_test_objects) -o test

wml_modify_test: $(wml_modify_test_objects)
	g++ -O2 -g -framework Cocoa -I/usr/local/include/boost-1_34 -I/sw/include/SDL -I/usr/X11R6/include -Isrc/ -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_WML_MODIFY -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lboost_regex src/wml_modify.cpp $(wml_modify_test_objects) -o test

wml_schema_test: $(wml_schema_test_objects)
	g++ -O2 -g -framework Cocoa -I/usr/local/include/boost-1_34 -I/sw/include/SDL -I/usr/X11R6/include -Isrc/ -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_WML_SCHEMA -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lboost_regex src/wml_schema.cpp $(wml_schema_test_objects) -o test
	

clean:
	rm -f *.o game

=== SConstruct ===
SConscript("src/SConscript", variant_dir = "build", duplicate = False)

## frogatto 1.1%2bdfsg

=== Makefile ===
CC  = ccache gcc
CXX = ccache g++

OPT = -O2 -fno-inline-functions

objects = IMG_savepng.o achievements.o background.o blur.o border_widget.o button.o character_editor_dialog.o checkbox.o current_generator.o decimal.o editor_dialogs.o editor_formula_functions.o editor_layers_dialog.o editor_stats_dialog.o editor_variable_info.o collision_utils.o color_utils.o controls.o controls_dialog.o custom_object.o custom_object_callable.o custom_object_functions.o custom_object_type.o debug_console.o dialog.o draw_number.o draw_scene.o draw_tile.o editor.o editor_level_properties_dialog.o entity.o filesystem.o font.o formula.o formula_callable_definition.o formula_constants.o formula_function.o formula_profiler.o formula_tokenizer.o formula_variable_storage.o frame.o framed_gui_element.o game_registry.o geometry.o globals.o graphical_font.o graphical_font_label.o grid_widget.o group_property_editor_dialog.o gui_formula_functions.o gui_section.o i18n.o image_widget.o input.o inventory.o iphone_controls.o joystick.o key.o key_button.o label.o level.o level_logic.o level_object.o level_runner.o level_solid_map.o light.o load_level.o main.o message_dialog.o movement_script.o multi_tile_pattern.o multiplayer.o object_events.o options_dialog.o package.o particle_system.o pause_game_dialog.o playable_custom_object.o player_info.o powerup.o preferences.o preprocessor.o preview_tileset_widget.o property_editor_dialog.o random.o raster.o raster_distortion.o rectangle_rotator.o scrollbar_widget.o scrollable_widget.o segment_editor_dialog.o settings_dialog.o slider.o solid_map.o sound.o speech_dialog.o stats.o string_utils.o surface_cache.o surface_formula.o surface_palette.o surface_scaling.o surface.o texture.o texture_frame_buffer.o text_entry_widget.o thread.o tile_map.o tileset_editor_dialog.o tooltip.o translate.o utils.o variant.o water.o water_particle_system.o weather_particle_system.o widget.o wml_formula_adapter.o wml_formula_callable.o wml_modify.o wml_node.o wml_parser.o wml_schema.o wml_utils.o wml_writer.o unit_test.o formula_test.o wml_parser_test.o loading_screen.o utility_object_compiler.o utility_object_editor.o

server_objects = server.o simple_wml.o

formula_test_objects = filesystem.o formula_function.o formula_tokenizer.o string_utils.o variant.o wml_node.o wml_parser.o wml_utils.o wml_writer.o

wml_modify_test_objects = filesystem.o string_utils.o wml_node.o wml_parser.o wml_utils.o
wml_schema_test_objects = filesystem.o string_utils.o wml_node.o wml_parser.o wml_utils.o

%.o : src/%.cpp
	$(CXX) -DIMPLEMENT_SAVE_PNG -fno-inline-functions -g $(OPT) `sdl-config --cflags` -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -fthreadsafe-statics -c $<

game: $(objects)
	$(CXX) -g $(OPT) -L. -L/sw/lib -L. -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -L/usr/lib `sdl-config --libs` -lSDLmain -lSDL -lGL -lGLU -lGLEW -lSDL_image -lSDL_ttf -lSDL_mixer -lpng -lboost_regex-mt -lboost_system-mt -lpthread -fthreadsafe-statics $(objects) -o game

server: $(server_objects)
	$(CXX) -fno-inline-functions -g $(OPT) -L/sw/lib -D_GNU_SOURCE=1 -D_REENTRANT -Wnon-virtual-dtor -Wreturn-type -L/usr/lib `sdl-config --libs` -lSDLmain -lSDL -lGL -lGLU -lSDL_image -lSDL_ttf -lSDL_mixer -lboost_regex-mt -lboost_system-mt -lboost_thread-mt -lboost_iostreams-mt -fthreadsafe-statics $(server_objects) -o server

poolalloc.o: src/poolalloc.c
	$(CC) -fno-inline-functions -g $(OPT) `sdl-config --cflags` -D_GNU_SOURCE=1 -D_REENTRANT -Wreturn-type -c src/poolalloc.c

malloc.o: src/malloc.c
	$(CC) -fno-inline-functions -g $(OPT) `sdl-config --cflags` -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_LOCKS=1 -Wreturn-type -c src/malloc.c

formula_test: $(formula_test_objects)
	$(CXX) -O2 -g -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_FORMULA -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lSDL -lGL -lGLU -lSDL_image -lSDL_ttf -lSDL_mixer -lboost_regex src/formula.cpp $(formula_test_objects) -o test

wml_modify_test: $(wml_modify_test_objects)
	$(CXX) -O2 -g -framework Cocoa -I/usr/local/include/boost-1_34 -I/sw/include/SDL -Isrc/ -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_WML_MODIFY -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lboost_regex src/wml_modify.cpp $(wml_modify_test_objects) -o test

wml_schema_test: $(wml_schema_test_objects)
	$(CXX) -O2 -g -framework Cocoa -I/usr/local/include/boost-1_34 -I/sw/include/SDL -Isrc/ -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUNIT_TEST_WML_SCHEMA -Wnon-virtual-dtor -Wreturn-type -L/usr/lib -lboost_regex src/wml_schema.cpp $(wml_schema_test_objects) -o test

update-pot:
	utils/make-pot.sh > po/frogatto.pot

%.po: po/frogatto.pot
	msgmerge $@ po/frogatto.pot -o $@.part
	mv $@.part $@

LINGUAS=de el es fr it pt_BR ru zh_CN ja

update-po:
	(for lang in ${LINGUAS}; do \
		${MAKE} po/$$lang.po ; \
	done)

update-mo:
	(for lang in ${LINGUAS}; do \
		mkdir -p locale/$$lang/LC_MESSAGES ; \
		msgfmt po/$$lang.po -o locale/$$lang/LC_MESSAGES/frogatto.mo ; \
	done)

clean:
	rm -f *.o game
